DeprecatedFrobeniusSplit Class Reference

This class is deprecated and is only here to create the alias "frob" for the degree split. More...

Inheritance diagram for DeprecatedFrobeniusSplit:

## Public Member Functions

| DeprecatedFrobeniusSplit ()
virtual const char * | getName () const
| Returns the name of the strategy.
Public Member Functions inherited from DegreeSplit
virtual void | getPivot (Term &pivot, Slice &slice) const
| Sets pivot to the pivot of a pivot split on slice.
virtual void | getPivot (Term &pivot, Slice &slice, const TermGrader &grader) const
| Sets pivot to the pivot of a pivot split on slice.
Public Member Functions inherited from PivotSplit
virtual bool | isPivotSplit () const
| If returns true, only call getPivot.
Public Member Functions inherited from SplitStrategyCommon
virtual size_t | getLabelSplitVariable (const Slice &slice) const
| Returns the variable to perform a label split on.
virtual bool | isLabelSplit () const
| If returns true, only call getLabelSplitVariable.
Public Member Functions inherited from SplitStrategy
virtual | ~SplitStrategy ()

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from DegreeSplit
static const char * | staticGetName ()
Static Public Member Functions inherited from SplitStrategy
static unique_ptr< SplitStrategy > | createStrategy (const string &prefix)
| Returns the strategy whose name has the given prefix.

## Additional Inherited Members

Protected Member Functions inherited from SplitStrategyCommon
Exponent | getMedianPositiveExponentOf (Slice &slice, size_t var) const
size_t | getBestVar (const Slice &slice) const
Protected Member Functions inherited from SplitStrategy
| SplitStrategy ()
| SplitStrategy (const SplitStrategy &)
SplitStrategy & | operator= (const SplitStrategy &)
bool | operator== (const SplitStrategy &)
Protected Attributes inherited from SplitStrategyCommon
Term | coVariableForGetBestVar

## Detailed Description

This class is deprecated and is only here to create the alias "frob" for the degree split.

Definition at line 457 of file SplitStrategy.cpp.

## Constructor & Destructor Documentation

## DeprecatedFrobeniusSplit()

DeprecatedFrobeniusSplit::DeprecatedFrobeniusSplit | ( |  | ) |

inline

Definition at line 459 of file SplitStrategy.cpp.

## Member Function Documentation

## getName()

virtual const char * DeprecatedFrobeniusSplit::getName | ( |  | ) | const

inline virtual

Returns the name of the strategy.

Reimplemented from DegreeSplit.

Definition at line 466 of file SplitStrategy.cpp.

## staticGetName()

const char * DeprecatedFrobeniusSplit::staticGetName | ( |  | ) |

inline static

Definition at line 470 of file SplitStrategy.cpp.

The documentation for this class was generated from the following file:

- src/SplitStrategy.cpp